stages:
  - prepare
  - release

prepare_zip:
  stage: prepare
  image: debian:stable-slim
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  script:
    - echo "Preparing changelog"
    - .gitlab/ci/prepare_changelog.sh
    - echo 'Compressing configurations'
    - mv files/ displat/
    - zip displat_config.zip -r displat
    - echo 'Uploading configuration to GitLab'
    - |
      curl --header "JOB-TOKEN: ${CI_JOB_TOKEN}" --upload-file displat_config.zip ${RELEASE_ADDR}
        
  artifacts:
    reports:
      dotenv: .env

release_zip:
  stage: release
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  needs:
    - job: prepare_zip
      artifacts: true
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  script:
    - echo 'Creating release'
    - |
      release-cli create --name "$RELEASE_VERS - $RELEASE_NAME" --tag-name $RELEASE_VERS --released-at $RELEASE_DATE --ref $CI_COMMIT_SHA \
        --assets-link "{\"name\":\"${RELEASE_FILE}\",\"url\":\"${RELEASE_ADDR}\"}"
